Subject: Re: bug#37847: [PATCH] Improve client/daemon xdg/systemd experience

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 13 Oct 2020 05:48:47 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Vojtech Stepancik <[email-masked]> writes:
>
>> Yes, that fixes my issue, however as I'm not quite sure why it was
>> introduced in the first place, I don't know how it interacts with the
>> rest of the patch.
>>
>> Lars Ingebrigtsen writes:
>>
>>>
>>> Would reverting this bit of the patch fix the problem?
>>>
>>>  [Service]
>>>  Type=notify
>>> -ExecStart=emacs --fg-daemon
>>> +ExecStart=@emacs emacsd --fg-daemon
>>>  ExecStop=emacsclient --eval "(kill-emacs)"
>
> Yeah, me neither.  Perhaps Carlos has some insight here...

This was four weeks ago, so I've now pushed this partial reversion to
the trunk.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no